## NAME

           psmeca - Plot focal mechanisms on maps

## SYNOPSIS

           psmeca  files  -Jparameters  -Rwest/east/south/north  [  -Btickinfo ] [
           -Cpen ] [ -Ddepmin/depmax ] [ -Efill] [ -Gfill] [ -H[n]  ]  [  -K  ]  [
           -L[pen]  ]  [  -M  ]  [  -N  ] [ -O ] [ -P ] [ -S<symbol><scale>[/d]] [
           -Tnum_of_plane[<pen>] ] [ -U[label] ] [ -V ] [ -Wpen ] [-Xx-shift  ]  [
           -Yy-shift  ]  [-Zcptfile]  [ -z ] [ -a[<size>[P_symbol>[T_symbol]]] ] [
           -gfill ] [-efill ] [ -o ] [ -ppen ] [ -tpen ] [ -:] [-ccopies ]

## DESCRIPTION

           psmeca reads data values from files [or standard input]  and  generates
           PostScript  code that will plot focal mechanisms on a map. Most options
           are the same as for psxy.  The PostScript code is written  to  standard
           output.

## ARGUMENTS

           files  List  one or more file-names. If no files are given, psmeca will
           read standard input.

           -J     Selects the map projection. Scale is  UNIT/degree,  1:xxxxx,  or
                  width  in  UNIT  (upper case modifier).  UNIT is cm, inch, or m,
                  depending on the MEASURE_UNIT setting in .gmtdefaults4, but this
                  can be overridden on the command line by appending c, i, or m to
                  the scale/width value.  For map height, max  dimension,  or  min
                  dimension, append h, +, or - to the width, respectively.

                  CYLINDRICAL PROJECTIONS:

                  -Jclon0/lat0/scale (Cassini)
                  -Jjlon0/scale (Miller)
                  -Jmscale (Mercator - Greenwich and Equator as origin)
                  -Jmlon0/lat0/scale (Mercator - Give meridian and standard paral-
                  lel)
                  -Joalon0/lat0/azimuth/scale  (Oblique  Mercator  -   point   and
                  azimuth)
                  -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
                  -Joclon0/lat0/lonp/latp/scale  (Oblique  Mercator  -  point  and
                  pole)
                  -Jqlon0/scale (Equidistant Cylindrical  Projection  (Plate  Car-
                  ree))
                  -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
                  -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
                  -Juzone/scale (UTM - Universal Transverse Mercator)
                  -Jylon0/lats/scale (Basic Cylindrical Projection)

                  AZIMUTHAL PROJECTIONS:

                  -Jalon0/lat0/scale (Lambert).
                  -Jelon0/lat0/scale (Equidistant).
                  -Jflon0/lat0/horizon/scale (Gnomonic).
                  -Jglon0/lat0/scale (Orthographic).
                  -Jslon0/lat0/[slat/]scale (General Stereographic)
                  -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
                  -Jnlon0/scale (Robinson)
                  -Jrlon0/scale (Winkel Tripel)
                  -Jvlon0/scale (Van der Grinten)
                  -Jwlon0/scale (Mollweide)

                  NON-GEOGRAPHICAL PROJECTIONS:

                  -Jp[a]scale[/origin]  (polar  (theta,r)  coordinates, optional a
                  for azimuths and offset theta [0])
                  -Jxx-scale[l|ppow][/y-scale[l|ppow]][d] (Linear, log, and  power
                  scaling)
                  More details can be found in the psbasemap man pages.

           -R     xmin,  xmax,  ymin, and ymax specify the Region of interest. For
                  geographic regions,  these  limits  correspond  to  west,  east,
                  south,  and north and you may specify them in decimal degrees or
                  in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r  if  lower  left
                  and  upper  right map coordinates are given instead of wesn. The
                  two shorthands  -Rg  -Rd  stand  for  global  domain  (0/360  or
                  -180/+180  in longitude respectively, with -90/+90 in latitude).
                  For calendar time coordinates you may either give relative  time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT; append t to -JX|x), or  absolute  time  of  the  form
                  [date]T[clock]  (append  T  to  -JX|x). At least one of date and
                  clock must be present; the T is always required. The date string
                  must  be  of  the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or
                  yyyy[-Www[-d]] (ISO week calendar), while the clock string  must
                  be  of  the form hh:mm:ss[.xxx]. The use of delimiters and their
                  type and positions must be as indicated  (however,  input/output
                  and plotting formats are flexible).

           -S     Selects the meaning of the columns in the data file
                  In  order  to use the same file to plot cross-sections, depth is
                  in third column.  Nevertheless,  it  is  possible  to  use  "old
                  style"  psvelomeca  input  files  without  depth in third column
                  using the -o option.

           -Sascale[c/i][/fontsize[/offset[u]]]
                  Focal mechanisms in Aki and Richard convention.   scale  adjusts
                  the  scaling  of  the  radius of the "beach ball", which will be
                  proportional to the magnitude. Scale is the size for magnitude =
                  5 in inch (unless c, i, m, or p is appended).  Use the -T option
                  to render the beach ball transparent by drawing only  the  nodal
                  planes and the circumference. The color or shade of the compres-
                  sive quadrants can be specified with the -G option. The color or
                  shade  of  the  extensive quadrants can be specified with the -E
                  option.  Parameters are expected to be in the following columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6: strike, dip and rake in degrees

           -Scscale[c/i][/fontsize[/offset[u]]]
                  Focal  mechanisms  in Harvard CMT convention.  scale adjusts the
                  scaling of the radius of the "beach ball", which will be propor-
                  tional  to  the  magnitude.  Scale is the size for magnitude = 5
                  (that is M0 = 4.0E23 dynes-cm) in inch (unless c, i, m, or p  is
                  appended).  Use the -T option to render the beach ball transpar-
                  ent by drawing only the nodal planes and the circumference.  The
                  color  or  shade  of  the compressive quadrants can be specified
                  with the -G option. The color or shade of  the  extensive  quad-
                  rants  can  be  specified  with  the  -E option.  Parameters are
                  expected to be in the following columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6: strike, dip, and rake of plane 1

           7,8,9: strike, dip, and rake of plane 2

           10,11: mantissa and exponent of moment in dyne-cm

           12,13: longitude, latitude at which to place  beach  ball.  Entries  in
                  these  columns  are necessary with the -C option. Using (0,0) in
                  columns 11 and 12 will plot the beach  ball  at  the  longitude,
                  latitude  given  in  columns  1 and 2. The -: option will inter-
                  change the order of columns (1,2) and (12,13).

           14:    Text string to appear above the beach ball (optional).

           -Smscale[c/i][/fontsize[/offset[u]]]
                  Seismic moment tensor (Harvard  CMT,  with  zero  trace).  scale
                  adjusts  the  scaling  of  the radius of the "beach ball", which
                  will be proportional to the magnitude. Scale  is  the  size  for
                  magnitude  = 5 (that is scalar seismic moment = 4.0E23 dynes-cm)
                  in inch (unless c, i, m, or p is appended).  (-T0  option  over-
                  lays  best  double  couple  transparently.)  Put -Sdscale[/font-
                  size[/offset[u]]] to plot the only double couple part of  moment
                  tensor.  Put -Szscale[/fontsize[/offset[u]]] to plot anisotropic
                  part of moment tensor (zero trace).  The color or shade  of  the
                  compressive  quadrants  can be specified with the -G option. The
                  color or shade of the extensive quadrants can be specified  with
                  the  -E  option.  Parameters are expected to be in the following
                  columns

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6,7,8,9:
                  mrr, mtt, mff, mrt, mrf, mtf in 10*exponent dynes-cm

           10:    exponent

           11,12: longitude, latitude at which to place  beach  ball.  Entries  in
                  will be proportional to the magnitude. Scale  is  the  size  for
                  magnitude  =  5 in inch (unless c, i, m, or p is appended).  The
                  color or shade of the compressive  quadrants  can  be  specified
                  with  the  -G  option. The color or shade of the extensive quad-
                  rants can be specified  with  the  -E  option.   Parameters  are
                  expected to be in the following columns

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5:   strike, dip of plane 1

           6:     strike of plane 2

           7:     must be -1/+1 for a normal/inverse fault

           8:     magnitude

           9,10:  longitude,  latitude  at  which  to place beach ball. Entries in
                  these columns are necessary with the -C  option.  Using  0,0  in
                  columns 9 and 10 will plot the beach ball at the longitude, lat-
                  itude given in columns 1 and 2. The -: option  will  interchange
                  the order of columns (1,2) and (9,10).

           11:    Text string to appear above the beach ball (optional).

           -Sxscale[c/i][/fontsize[/offset[u]]] Principal axis.
                  scale  adjusts  the  scaling  of the radius of the "beach ball",
                  which will be proportional to the magnitude. Scale is  the  size
                  for  magnitude  =  5  (that  is seismic scalar moment = 4*10e+23
                  dynes-cm) in inch (unless c, i, m,  or  p  is  appended).   (-T0
                  option   overlays   best   double  couple  transparently.)   Put
                  -Syscale[c/i][/fontsize[/offset[u]]] to  plot  the  only  double
                  couple part of moment tensor.  Put -Stscale[c/i][/fontsize[/off-
                  set[u]]] to plot zero trace moment tensor.  The color  or  shade
                  of  the  compressive  quadrants  can  be  specified  with the -G
                  option. The color or shade of the  extensive  quadrants  can  be
                  specified  with the -E option.  Parameters are expected to be in
                  the following columns

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6,7,8,9,10,11,12:
                  value (in 10*exponent dynes-cm), azimuth,  plunge  of  T,  N,  P
                  axis.

           13:    exponent

           14,15: longtiude,  latitude  at  which  to place beach ball. Entries in
                  these columns are necessary with the -C  option.  Using  0,0  in
                  columns 9 and 10 will plot the beach ball at the longitude, lat-
                  psbasemap man page for all the details.

           -C[pen][Ppointsize]
                  Offsets focal mechanisms to the longitude, latitude specified in
                  the  last  two  columns  of the input file before the (optional)
                  text string. A small circle is plotted at the  initial  location
                  and  a  line  connects  the beachball to the circle. Specify pen
                  and/or Ppointsize to change the line style and/or  size  of  the
                  circle.  [Defaults:  pen  width  =  1,  color = 0/0/0, texture =
                  solid; pointsize 0].

           -D     depmin/depmax Plots events between depmin and depmax.

           -Efill Selects filling of extensive quadrants. Usually white.  Set  the
                  shade (0-255) or color (r/g/b) [Default is 255/255/255].

           -Gfill Selects filling of focal mechanisms. By convention, the compres-
                  sional quadrants of the focal mechanism beach balls are  shaded.
                  Set the shade (0-255) or color (r/g/b) [Default is 0/0/0].

           -H     Input file(s) has Header record(s). Number of header records can
                  be changed by editing your  .gmtdefaults4  file.  If  used,  GMT
                  default  is  1  header record. Use -Hi if only input data should
                  have header records [Default will write out  header  records  if
                  the input data have them].

           -K     More  PostScript code will be appended later [Default terminates
                  the plot system].

           -L[pen]
                  Draws the "beach ball" outline with pen  attributes.   [Defaults
                  width = 1, color = 0/0/0, texture = solid].

           -N     Does NOT skip symbols that fall outside frame boundary specified
                  by -R [Default plots symbols inside frame only].

           -O     Selects Overlay plot mode [Default initializes a new  plot  sys-
                  tem].

           -P     Selects  Portrait  plotting  mode [GMT Default is Landscape, see
                  gmtdefaults to change this].

           -T[num_of_planes]
                  Plots the nodal planes and outlines the bubble which  is  trans-
                  parent.  If num_of_planes is
                        0: both nodal planes are plotted;
                        1: only the first nodal plane is plotted;
                        2: only the second nodal plane is plotted.

           -U     Draw  Unix System time stamp on plot. User may specify where the
                  lower left corner of the stamp should fall on the page  relative
                  to  lower  left corner of plot. Optionally, append a label, or c
                  (which will  plot  the  command  string.).  The  GMT  parameters
                  UNIX_TIME  and  UNIX_TIME_POS can affect the appearance; see the
                  gmtdefaults man page for details.

           -Zcptfile
                  Give  a  color  palette  file  and let compressive part color be
                  determined by the z-value in the third column.

           -z     Overlay zero trace moment tensor.

           -a[size/[P_axis_symbol/[T_axis_symbol]]]
                  Computes and plots P and T axes with symbols. Optionally specify
                  size and (separate) P and T axis symbols from the following: (c)
                  circle,  (d)  diamond,  (h)  hexagon,  (i)   inverse   triangle,
                  (p)point,  (s)  square,  (t)  triangle,  (x)  cross.  [Defaults:
                  0.2c/c/c or 0.08i/c/c.]

           -efill Selects filling of T axis symbol.   Set  the  shade  (0-255)  or
                  color (r/g/b). Default is white.

           -gfill Selects  filling  of  P  axis  symbol.  Set the shade (0-255) or
                  color (r/g/b). Default black.

           -o     Use the psvelomeca input format without depth in the third  col-
                  umn.

           -p[pen]
                  Draws the P axis outline using default pen (see -W), or sets pen
                  attributes.

           -t[pen]
                  Draws the T axis outline using default pen (see -W), or sets pen
                  attributes.

           -:     Toggles  between  (longitude,latitude)  and (latitude,longitude)
                  input and/or output. [Default is (longitude,latitude)].   Append
                  i  to  select  input  only  or o to select output only. [Default
                  affects both].

           -c     Specifies the number of plot copies. [Default is 1].

## EXAMPLES

           The following file should give a normal-faulting CMT mechanism:
           psmeca -R239/240/34/35.2 -Jm4 -Sc0.4 -H1 <<END>! test.ps
           lon lat depth str dip slip st dip slip mant exp plon plat
           239.384 34.556 12. 180 18 -88 0 72 -90 5.5 0 0 0
           END

## SEE ALSO

           gmt(GMTMANSECTION), psbasemap(GMTMANSECTION), psxy(GMTMANSECTION)

## REFERENCES

           Bomford, G., Geodesy, 4th ed., Oxford University Press, 1980.
           Aki, K. and P. Richards, Quantitative Seismology, Freeman, 1980.
           F. A. Dahlen and Jeoren Trom, Theoretical Seismology, Princeton,  1998,
           p.167.
           Cliff Frohlich, Cliff’s Nodes Concerning Plotting Nodal Lines for P, Sh
           and Sv
           Seismology Dept.
           Institut de Physique du Globe de Paris
           (patau@.ipgp.jussieu.fr)

    GMT4.0                            1 Oct 2004             PSMECA(GMTMANSECTION)